/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.progress.entity;


import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.test.treetable.dialog.entity.CarKind1;

/**
 * 项目进度统计-实体类
 */
public class YearProgress extends DataEntity<YearProgress> {

	private static final long serialVersionUID = 1L;
	//记录查询项目定义号数组
	private String[] attrs;
	//序号
	private String importNo;
	//年度
	private String projectYear;
	//项目定义号
	private String projectId;
	//项目编号
	private String projectNO;
	//项目名称（按照项目名称）
	private String projectName;
	//合同单位
	private String assignedUnit;
	//费率
	private String rate;
	//施工单位
	private String constructionUnit;
	//业主项目经理
	private String ownerProjectManager;
	//施工项目经理
	private String constructionProjectManager;
	//分包单位
	private String subcontractor;
	//设计人员
	private String designer;
	//收到图纸
	private String drawingReceived;
	//交付图纸
	private String deliveryOfDrawings;
	//建设中存在的问题
	private String problemsInConstruction;
	//项目投运状态
	private String projectOperationStatus;
	//项目投运时间
	private String projectOperationTime;
	//设计费是否发生
	private String isTheDesign;
	//监理费是否发生
	private String isTheSupervision;
	//施工费是否发生
	private String whetherIsIncurred;
	//施工单位是否送审
	private String whetherIsApproval;
	//是否审定
	private String approvedNot;
	//是否开票
	private String approvedNotNot;
	//甲供材是否平
	private String whetherFlat;
	//财务决算批次
	private String settlementBatch;
	//项目关闭日期
	private String projectCloseDate;
	//资产卡片号
	private String assetCardNo;

	public String[] getAttrs() {
		return attrs;
	}

	public void setAttrs(String[] attrs) {
		this.attrs = attrs;
	}

	@ExcelField(title="序号", align=2, sort=1)
	public String getImportNo() {
		return importNo;
	}

	public void setImportNo(String importNo) {
		this.importNo = importNo;
	}

	@ExcelField(title="年度", align=2, sort=2)
	public String getProjectYear() {
		return projectYear;
	}

	public void setProjectYear(String projectYear) {
		this.projectYear = projectYear;
	}

	@ExcelField(title="项目定义号", align=2, sort=3)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	@ExcelField(title="项目编号", align=2, sort=4)
	public String getProjectNO() {
		return projectNO;
	}

	public void setProjectNO(String projectNO) {
		this.projectNO = projectNO;
	}

	@ExcelField(title="项目名称", align=2, sort=5)
	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	@ExcelField(title="合同单位", align=2, sort=6)
	public String getAssignedUnit() {
		return assignedUnit;
	}

	public void setAssignedUnit(String assignedUnit) {
		this.assignedUnit = assignedUnit;
	}

	@ExcelField(title="费率", align=2, sort=7)
	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	@ExcelField(title="施工单位", align=2, sort=8)
	public String getConstructionUnit() {
		return constructionUnit;
	}

	public void setConstructionUnit(String constructionUnit) {
		this.constructionUnit = constructionUnit;
	}

	@ExcelField(title="业主项目经理", align=2, sort=9)
	public String getOwnerProjectManager() {
		return ownerProjectManager;
	}

	public void setOwnerProjectManager(String ownerProjectManager) {
		this.ownerProjectManager = ownerProjectManager;
	}

	@ExcelField(title="施工项目经理", align=2, sort=10)
	public String getConstructionProjectManager() {
		return constructionProjectManager;
	}

	public void setConstructionProjectManager(String constructionProjectManager) {
		this.constructionProjectManager = constructionProjectManager;
	}

	@ExcelField(title="分包单位", align=2, sort=11)
	public String getSubcontractor() {
		return subcontractor;
	}

	public void setSubcontractor(String subcontractor) {
		this.subcontractor = subcontractor;
	}

	@ExcelField(title="设计人员", align=2, sort=12)
	public String getDesigner() {
		return designer;
	}

	public void setDesigner(String designer) {
		this.designer = designer;
	}

	@ExcelField(title="收到图纸", align=2, sort=13)
	public String getDrawingReceived() {
		return drawingReceived;
	}

	public void setDrawingReceived(String drawingReceived) {
		this.drawingReceived = drawingReceived;
	}

	@ExcelField(title="交付图纸", align=2, sort=14)
	public String getDeliveryOfDrawings() {
		return deliveryOfDrawings;
	}

	public void setDeliveryOfDrawings(String deliveryOfDrawings) {
		this.deliveryOfDrawings = deliveryOfDrawings;
	}

	@ExcelField(title="建设中存在的问题", align=2, sort=15)
	public String getProblemsInConstruction() {
		return problemsInConstruction;
	}

	public void setProblemsInConstruction(String problemsInConstruction) {
		this.problemsInConstruction = problemsInConstruction;
	}

	@ExcelField(title="项目投运状态", align=2, sort=16)
	public String getProjectOperationStatus() {
		return projectOperationStatus;
	}

	public void setProjectOperationStatus(String projectOperationStatus) {
		this.projectOperationStatus = projectOperationStatus;
	}

	@ExcelField(title="项目投运时间", align=2, sort=17)
	public String getProjectOperationTime() {
		return projectOperationTime;
	}

	public void setProjectOperationTime(String projectOperationTime) {
		this.projectOperationTime = projectOperationTime;
	}

	@ExcelField(title="设计费是否发生", align=2, sort=18)
	public String getIsTheDesign() {
		return isTheDesign;
	}

	public void setIsTheDesign(String isTheDesign) {
		this.isTheDesign = isTheDesign;
	}

	@ExcelField(title="监理费是否发生", align=2, sort=19)
	public String getIsTheSupervision() {
		return isTheSupervision;
	}

	public void setIsTheSupervision(String isTheSupervision) {
		this.isTheSupervision = isTheSupervision;
	}

	@ExcelField(title="施工费是否发生", align=2, sort=20)
	public String getWhetherIsIncurred() {
		return whetherIsIncurred;
	}

	public void setWhetherIsIncurred(String whetherIsIncurred) {
		this.whetherIsIncurred = whetherIsIncurred;
	}

	@ExcelField(title="施工单位是否送审", align=2, sort=21)
	public String getWhetherIsApproval() {
		return whetherIsApproval;
	}

	public void setWhetherIsApproval(String whetherIsApproval) {
		this.whetherIsApproval = whetherIsApproval;
	}

	@ExcelField(title="是否审定", align=2, sort=22)
	public String getApprovedNot() {
		return approvedNot;
	}

	public void setApprovedNot(String approvedNot) {
		this.approvedNot = approvedNot;
	}

	@ExcelField(title="是否开票", align=2, sort=23)
	public String getApprovedNotNot() {
		return approvedNotNot;
	}

	public void setApprovedNotNot(String approvedNotNot) {
		this.approvedNotNot = approvedNotNot;
	}

	@ExcelField(title="甲供材是否平", align=2, sort=24)
	public String getWhetherFlat() {
		return whetherFlat;
	}

	public void setWhetherFlat(String whetherFlat) {
		this.whetherFlat = whetherFlat;
	}

	@ExcelField(title="财务决算批次", align=2, sort=25)
	public String getSettlementBatch() {
		return settlementBatch;
	}

	public void setSettlementBatch(String settlementBatch) {
		this.settlementBatch = settlementBatch;
	}

	@ExcelField(title="项目关闭日期", align=2, sort=26)
	public String getProjectCloseDate() {
		return projectCloseDate;
	}

	public void setProjectCloseDate(String projectCloseDate) {
		this.projectCloseDate = projectCloseDate;
	}

	@ExcelField(title="资产卡片号", align=2, sort=27)
	public String getAssetCardNo() {
		return assetCardNo;
	}

	public void setAssetCardNo(String assetCardNo) {
		this.assetCardNo = assetCardNo;
	}
}